#!/bin/sh
if [ ! -d ~/.rtn ]; then
    mkdir ~/.rtn
fi
cp /usr/lib/RunaRTN/*.properties ~/.rtn
cd ~/.rtn
SERVER_ADDRESS=`if [ -f ~/.runawfe-client.conf ]; then grep WFEServer_webaddress ~/.runawfe-client.conf | cut -f2- -d=; else grep WFEServer_webaddress /etc/runawfe-client.conf | cut -f 2- -d=; fi`
sed "s/main_wfe_server/$SERVER_ADDRESS/" application.properties > tmp.file && mv tmp.file application.properties
sed "s/main_wfe_server/$SERVER_ADDRESS/" application_ru.properties > tmp.file && mv tmp.file application_ru.properties
SERVER_ADDRESS=`echo $SERVER_ADDRESS | cut -d':' -f1`
sed "s/main_wfe_server/$SERVER_ADDRESS/" af_delegate.properties > tmp.file && mv tmp.file af_delegate.properties
export MOZILLA_FIVE_HOME=/usr/lib/firefox
export LD_LIBRARY_PATH=/usr/lib/firefox

java -cp ".:/usr/lib/RunaRTN/rtn.jar:/usr/lib/RunaRTN/swt-gtk.jar" ru.runa.notifier.PlatformLoader 
